Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Enum ApplicationStatusType

    java.lang.Object
      java.lang.Enum<ApplicationStatusType>
          be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationStatusType

All Implemented Interfaces:
  Serializable, Comparable<ApplicationStatusType>

    public enum ApplicationStatusType

extends Enum<ApplicationStatusType>

Java class for ApplicationStatusType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ApplicationStatusType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Received"/>
         <enumeration value="In_error"/>
         <enumeration value="Under_consideration"/>
         <enumeration value="Ready_for_decision"/>
         <enumeration value="Passed_to_ZKC"/>
         <enumeration value="Asked_more_information_ZKC"/>
         <enumeration value="Received_more_information_ZKC"/>
         <enumeration value="HomeVisit_ZKC"/>
         <enumeration value="Confirmed_advice_ZKC"/>
         <enumeration value="Passed_to_BTC"/>
         <enumeration value="Confirmed_advice_BTC"/>
         <enumeration value="Accepted"/>
         <enumeration value="Refused"/>
         <enumeration value="Partial_accepted"/>
         <enumeration value="Delivered"/>
         <enumeration value="Delivery_refused"/>
         <enumeration value="Ended"/>
         <enumeration value="Canceled"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACCEPTED` De aanvraag is volledig aanvaard.
`ASKED_MORE_INFORMATION_ZKC` De ZKC heeft bijkomende informatie opgevraagd.
`CANCELED` De aanvraag is geannuleerd.
`CONFIRMED_ADVICE_BTC` Een zorgkasmedewerker heeft advies van de BTC bevestigd.
`CONFIRMED_ADVICE_ZKC` Een zorgkasmedewerker heeft advies van de ZKC bevestigd.
`DELIVERED` De aanvraag is afgeleverd.
`DELIVERY_REFUSED` De aflevering van de aanvraag is geweigerd.
`ENDED` De aanvraag is stopgezet
`HOME_VISIT_ZKC` Huisbezoek door ZKC.
`IN_ERROR` De aanvraag is in fout gegaan en zal niet verder verwerkt worden.
`PARTIAL_ACCEPTED` De aanvraag is deels aanvaard.
`PASSED_TO_BTC` De aanvraag is neergelegd bij de BTC.
`PASSED_TO_ZKC` De aanvraag is neergelegd bij de ZKC.
`READY_FOR_DECISION` De aanvraag is klaar voor beslissing.
`RECEIVED` De aanvraag is succesvol ontvangen.
`RECEIVED_MORE_INFORMATION_ZKC` De ZKC heeft bijkomende informatie gekregen.
`REFUSED` De aanvraag is volledig geweigerd.
`UNDER_CONSIDERATION` De aanvraag is in beraad.

Method Summary
`static ApplicationStatusType` | `fromValue(String v)`
`String` | `value()`
`static ApplicationStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ApplicationStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RECEIVED

    public static final ApplicationStatusType RECEIVED

  De aanvraag is succesvol ontvangen.

### IN_ERROR

    public static final ApplicationStatusType IN_ERROR

  De aanvraag is in fout gegaan en zal niet verder verwerkt worden.

### UNDER_CONSIDERATION

    public static final ApplicationStatusType UNDER_CONSIDERATION

  De aanvraag is in beraad.

### READY_FOR_DECISION

    public static final ApplicationStatusType READY_FOR_DECISION

  De aanvraag is klaar voor beslissing.

### PASSED_TO_ZKC

    public static final ApplicationStatusType PASSED_TO_ZKC

  De aanvraag is neergelegd bij de ZKC.

### ASKED_MORE_INFORMATION_ZKC

    public static final ApplicationStatusType ASKED_MORE_INFORMATION_ZKC

  De ZKC heeft bijkomende informatie opgevraagd.

### RECEIVED_MORE_INFORMATION_ZKC

    public static final ApplicationStatusType RECEIVED_MORE_INFORMATION_ZKC

  De ZKC heeft bijkomende informatie gekregen.

### HOME_VISIT_ZKC

    public static final ApplicationStatusType HOME_VISIT_ZKC

  Huisbezoek door ZKC.

### CONFIRMED_ADVICE_ZKC

    public static final ApplicationStatusType CONFIRMED_ADVICE_ZKC

  Een zorgkasmedewerker heeft advies van de ZKC bevestigd.

### PASSED_TO_BTC

    public static final ApplicationStatusType PASSED_TO_BTC

  De aanvraag is neergelegd bij de BTC.

### CONFIRMED_ADVICE_BTC

    public static final ApplicationStatusType CONFIRMED_ADVICE_BTC

  Een zorgkasmedewerker heeft advies van de BTC bevestigd.

### ACCEPTED

    public static final ApplicationStatusType ACCEPTED

  De aanvraag is volledig aanvaard.

### REFUSED

    public static final ApplicationStatusType REFUSED

  De aanvraag is volledig geweigerd.

### PARTIAL_ACCEPTED

    public static final ApplicationStatusType PARTIAL_ACCEPTED

  De aanvraag is deels aanvaard.

### DELIVERED

    public static final ApplicationStatusType DELIVERED

  De aanvraag is afgeleverd.

### DELIVERY_REFUSED

    public static final ApplicationStatusType DELIVERY_REFUSED

  De aflevering van de aanvraag is geweigerd.

### ENDED

    public static final ApplicationStatusType ENDED

  De aanvraag is stopgezet

### CANCELED

    public static final ApplicationStatusType CANCELED

  De aanvraag is geannuleerd.

Method Detail

### values

    public static ApplicationStatusType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ApplicationStatusType c : ApplicationStatusType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ApplicationStatusType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static ApplicationStatusType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.